Enable or disable an OAuth2/OpenID client application
post
Authorizations
defguard_sessionstringRequired
Path parameters
client_idstringRequired
ID of the OAuth2 client.
Body
enabledbooleanRequired
Responses
200
OAuth2 client state changed.
No content
401
Session is missing or invalid.
application/json
403
Requires admin privileges.
application/json
404
OAuth2 client not found.
500
Unable to change OAuth2 client state.
application/json
post/api/v1/oauth/{client_id}
POST /api/v1/oauth/{client_id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 16
{
"enabled": true
}No content
Last updated
Was this helpful?